request.ipa and request.fallback_phone are both optional — whenipa, and it is now format-checked (name@bank) — a typo'd IPAcurl --location --request PUT 'https://numueg.app/api/v1/stores//settings/payment/instapay/credentials' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"ipa": "string",
"ipa_display_name": "string",
"fallback_phone": "string",
"auto_approve_enabled": true,
"auto_approve_threshold_cents": 50000,
"auto_approve_daily_cap_cents": 500000,
"auto_approve_daily_count": 10,
"qr_link_url": "string",
"require_ocr_amount_match": false,
"require_ocr_ipa_match": false,
"ocr_amount_tolerance_bps": 100,
"require_note_contains_reference": false,
"require_transaction_ref_match": false,
"require_recipient_name_match": false,
"recipient_name_token": "string"
}'{
"success": true,
"data": {
"is_configured": true,
"enabled": false,
"ipa_masked": "string",
"ipa_display_name": "string",
"fallback_phone": "string",
"auto_approve_enabled": true,
"auto_approve_threshold_cents": 0,
"auto_approve_daily_cap_cents": 0,
"auto_approve_daily_count": 0,
"last_configured": "string",
"qr_image_url": "string",
"qr_link_url": "string",
"ocr_provider": "string",
"require_ocr_amount_match": false,
"require_ocr_ipa_match": false,
"ocr_amount_tolerance_bps": 100,
"require_note_contains_reference": false,
"require_transaction_ref_match": false,
"require_recipient_name_match": false,
"recipient_name_token": "string"
},
"message": "string"
}